package com.hzya.frame.mdm.entity;

import com.hzya.frame.mdm.mdmModule.entity.MdmModuleEntity;
import com.hzya.frame.mdm.mdmModuleDbFiledsRule.entity.MdmModuleDbFiledsRuleEntity;
import com.hzya.frame.mdm.mdmModuleView.entity.MdmModuleViewEntity;

import java.util.List;

public class MdmViewFiledVo {

    //字段id
    private String id;
    //表名
    private String dbName;
    //类型 1、主表 2、明细
    private String dbType;
    //主数据模版ID
    private String mdmId;
    //模版数据库id
    private String dbId;
    //中文名
    private String chName;
    //英文名
    private String enName;
    //排序
    private Integer sorts;
    /**
     * 字段类型 1、BIGINT 2、DECIMAL 3、VARCHAR 4、DATETIME
     */
    private String filedType;
    //字段规则
    private List<MdmModuleDbFiledsRuleEntity> ruleList;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getDbName() {
        return dbName;
    }

    public void setDbName(String dbName) {
        this.dbName = dbName;
    }

    public String getDbType() {
        return dbType;
    }

    public void setDbType(String dbType) {
        this.dbType = dbType;
    }

    public String getMdmId() {
        return mdmId;
    }

    public void setMdmId(String mdmId) {
        this.mdmId = mdmId;
    }

    public String getDbId() {
        return dbId;
    }

    public void setDbId(String dbId) {
        this.dbId = dbId;
    }

    public String getChName() {
        return chName;
    }

    public void setChName(String chName) {
        this.chName = chName;
    }

    public String getEnName() {
        return enName;
    }

    public void setEnName(String enName) {
        this.enName = enName;
    }

    public List<MdmModuleDbFiledsRuleEntity> getRuleList() {
        return ruleList;
    }

    public void setRuleList(List<MdmModuleDbFiledsRuleEntity> ruleList) {
        this.ruleList = ruleList;
    }

    public Integer getSorts() {
        return sorts;
    }

    public void setSorts(Integer sorts) {
        this.sorts = sorts;
    }

    public String getFiledType() {
        return filedType;
    }

    public void setFiledType(String filedType) {
        this.filedType = filedType;
    }
}

